data:extend(
{
  {
    type = "recipe-category",
    name = "casting"
  },
  {
    type = "recipe-category",
    name = "advanced-casting"
  },
  {
    type = "recipe-category",
    name = "liquefaction"
  },
  {
    type = "recipe",
    name = "liquefier",
    enabled = false,
    energy_required = 10,
    ingredients =
    {
      {"electric-furnace", 1},
	  {"stone-brick", 10},
      {"pipe", 5}
    },
    result="liquefier",
    icon = "__base__/graphics/icons/steel-furnace.png",
    subgroup = "liquify-machine",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "casting-machine",
    enabled = false,
    energy_required = 10,
    ingredients =
    {
      {"assembling-machine-2", 1},
      {"pipe", 5}
    },
    result="casting-machine",
    icon = "__base__/graphics/icons/fluid/basic-oil-processing.png",
    subgroup = "liquify-machine",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "casting-machine-2",
    enabled = false,
    energy_required = 10,
    ingredients =
    {
      {"casting-machine", 1},
      {"productivity-module", 4}
    },
    result="casting-machine-2",
    icon = "__base__/graphics/icons/fluid/advanced-oil-processing.png",
    subgroup = "liquify-machine",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {----------------------------------------------------------------
    type = "recipe",
    name = "copper-liquefaction",
    category = "liquefaction",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="item", name="copper-ore", amount=1}
    },
    results=
    {
      {type="fluid", name="molten-copper", amount=1.2},
	  {type="fluid", name="lava", amount=0.1}
    },
    icon = "__base__/graphics/icons/fluid/light-oil.png",
    subgroup = "melt",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "iron-liquefaction",
    category = "liquefaction",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="item", name="iron-ore", amount=1}
    },
    results=
    {
      {type="fluid", name="molten-iron", amount=1.2},
	  {type="fluid", name="lava", amount=0.1}
    },
    icon = "__base__/graphics/icons/fluid/heavy-oil.png",
    subgroup = "melt",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "stone-liquefaction",
    category = "liquefaction",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {type="item", name="stone", amount=1}
    },
    results=
    {
      {type="fluid", name="lava", amount=1.3}
    },
    icon = "__base__/graphics/icons/fluid/light-oil.png",
    subgroup = "melt",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "stone-purification",
    category = "liquefaction",
    enabled = false,
    energy_required = 10,
    ingredients =
    {
      {type="item", name="stone", amount=1}
    },
    results=
    {
      {type="fluid", name="molten-copper", amount=0.1},
	  {type="fluid", name="molten-iron", amount=0.1}
    },
    icon = "__base__/graphics/icons/fluid/basic-oil-processing.png",
    subgroup = "melt",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "iron-liquefaction-p",
    category = "liquefaction",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {type="item", name="iron-plate", amount=1}
    },
    results=
    {
      {type="fluid", name="molten-iron", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/heavy-oil.png",
    subgroup = "melt",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "copper-liquefaction-p",
    category = "liquefaction",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {type="item", name="copper-plate", amount=1}
    },
    results=
    {
      {type="fluid", name="molten-copper", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/light-oil.png",
    subgroup = "melt",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "steel-liquefaction",
    category = "liquefaction",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {type="item", name="steel-plate", amount=1}
    },
    results=
    {
      {type="fluid", name="molten-steel", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/heavy-oil.png",
    subgroup = "melt",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "plastic-liquefaction",
    category = "liquefaction",
    enabled = false,
    energy_required = 1,
    ingredients =
    {
      {type="item", name="plastic-bar", amount=1}
    },
    results=
    {
      {type="fluid", name="melted-plastic", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/water.png",
    subgroup = "melt",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {-----------------------------------------------------------------
    type = "recipe",
    name = "stone-cooling",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.15,
    ingredients =
    {
      {type="fluid", name="lava", amount=2}
    },
    results=
    {
      {type="item", name="stone-brick", amount=1}
    },
    icon = "__Liquify__/graphics/icons/stone-brick.png",
    subgroup = "cast-plates",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "iron-cooling",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.15,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=1}
    },
    results=
    {
      {type="item", name="iron-plate", amount=1}
    },
    icon = "__Liquify__/graphics/icons/iron-plate.png",
    subgroup = "cast-plates",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "copper-cooling",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.15,
    ingredients =
    {
      {type="fluid", name="molten-copper", amount=1}
    },
    results=
    {
      {type="item", name="copper-plate", amount=1}
    },
    icon = "__Liquify__/graphics/icons/copper-plate.png",
    subgroup = "cast-plates",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "steel-cooling",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.15,
    ingredients =
    {
      {type="fluid", name="molten-steel", amount=1}
    },
    results=
    {
      {type="item", name="steel-plate", amount=1}
    },
    icon = "__Liquify__/graphics/icons/steel-plate.png",
    subgroup = "cast-plates",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "plastic-cooling",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.15,
    ingredients =
    {
      {type="fluid", name="melted-plastic", amount=1}
    },
    results=
    {
      {type="item", name="plastic-bar", amount=1}
    },
    icon = "__Liquify__/graphics/icons/plastic-bar.png",
    subgroup = "cast-plates",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {------------------------------------------------------------------------------
    type = "recipe",
    name = "iron-stick-casting",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.25,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=0.5}
    },
    results=
    {
      {type="item", name="iron-stick", amount=1}
    },
    icon = "__Liquify__/graphics/icons/iron-stick.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "iron-gear-casting",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.5,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=2}
    },
    results=
    {
      {type="item", name="iron-gear-wheel", amount=1}
    },
    icon = "__Liquify__/graphics/icons/iron-gear-wheel.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "bullet-mag-casting",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.5,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=2}
    },
    results=
    {
-- Name changed from "basic-bullet-magazine" to "firearm-magazine" 
	{type="item", name="firearm-magazine", amount=1}
    },
-- Name changed from "__base__/graphics/icons/basic-bullet-magazine.png" 
-- to "__base__/graphics/icons/firearm-magazine.png" 
    icon = "__base__/graphics/icons/firearm-magazine.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "copper-cable-casting",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-copper", amount=0.5}
    },
    results=
    {
      {type="item", name="copper-cable", amount=1}
    },
    icon = "__Liquify__/graphics/icons/copper-cable.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "stone-wall-casting",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="lava", amount=10}
    },
    results=
    {
      {type="item", name="stone-wall", amount=1}
    },
    icon = "__base__/graphics/icons/stone-wall.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "electronic-circuit-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=1},
	  {type="fluid", name="molten-copper", amount=1.5}
    },
    results=
    {
      {type="item", name="electronic-circuit", amount=1}
    },
    icon = "__Liquify__/graphics/icons/electronic-circuit.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "advanced-circuit-casting",
    category = "casting",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {type="fluid", name="melted-plastic", amount=2},
	  {type="fluid", name="molten-copper", amount=2},
	  {type="item", name="electronic-circuit", amount=1}
    },
    results=
    {
      {type="item", name="advanced-circuit", amount=1}
    },
    icon = "__Liquify__/graphics/icons/advanced-circuit.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "advanced-circuit-casting-b",
    category = "advanced-casting",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {type="fluid", name="melted-plastic", amount=2},
	  {type="fluid", name="molten-copper", amount=3.5},
	  {type="fluid", name="molten-iron", amount=1}
    },
    results=
    {
      {type="item", name="advanced-circuit", amount=1}
    },
    icon = "__Liquify__/graphics/icons/advanced-circuit.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "processing-unit-casting",
    category = "advanced-casting",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
	  {type="fluid", name="molten-iron", amount=22},
      {type="fluid", name="melted-plastic", amount=4},
	  {type="fluid", name="molten-copper", amount=37},
	  {type="fluid", name = "sulfuric-acid", amount = 0.5}
    },
    results=
    {
      {type="item", name="processing-unit", amount=1}
    },
    icon = "__Liquify__/graphics/icons/processing-unit.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "engine-casting",
    category = "casting",
    enabled = false,
    energy_required = 2.5,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=6},
	  {type="fluid", name="molten-steel", amount=1}
    },
    results=
    {
      {type="item", name="engine-unit", amount=1}
    },
    icon = "__base__/graphics/icons/engine-unit.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "e-engine-casting",
    category = "advanced-casting",
    enabled = false,
    energy_required = 2.5,
    ingredients =
    {
      {type="fluid", name="lubricant", amount=2},
	  {type="fluid", name="molten-iron", amount=8},
	  {type="fluid", name="molten-copper", amount=3},
	  {type="fluid", name="molten-steel", amount=1}
    },
    results=
    {
      {type="item", name="electric-engine-unit", amount=1}
    },
    icon = "__base__/graphics/icons/electric-engine-unit.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "battery-casting",
    category = "advanced-casting",
    enabled = false,
    energy_required = 2.5,
    ingredients =
    {
      {type="fluid", name="sulfuric-acid", amount=2},
	  {type="fluid", name="molten-iron", amount=1},
	  {type="fluid", name="molten-copper", amount=1}
    },
    results=
    {
      {type="item", name="battery", amount=1}
    },
    icon = "__base__/graphics/icons/battery.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "flying-robot-frame-casting",
    category = "advanced-casting",
    enabled = false,
    energy_required = 2.5,
    ingredients =
    {
      {type="fluid", name="sulfuric-acid", amount=4},
	  {type="fluid", name="molten-iron", amount=5},
	  {type="fluid", name="molten-copper", amount=6.5},
	  {type="fluid", name="molten-steel", amount=1},
	  {type="item", name="electric-engine-unit", amount=1}
    },
    results=
    {
      {type="item", name="flying-robot-frame", amount=1}
    },
    icon = "__base__/graphics/icons/flying-robot-frame.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "science-pack-1-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=2},
	  {type="fluid", name="molten-copper", amount=1}
    },
    results=
    {
      {type="item", name="science-pack-1", amount=1}
    },
    icon = "__base__/graphics/icons/science-pack-1.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "barrel-casting",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-steel", amount=1}
    },
    results=
    {
      {type="item", name="empty-barrel", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "shotgun-shell-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=2},
	  {type="fluid", name="molten-copper", amount=2}
    },
    results=
    {
      {type="item", name="shotgun-shell", amount=1}
    },
    icon = "__base__/graphics/icons/shotgun-shell.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "p-shotgun-shell-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-steel", amount=2},
	  {type="fluid", name="molten-copper", amount=2}
    },
    results=
    {
      {type="item", name="piercing-shotgun-shell", amount=1}
    },
    icon = "__base__/graphics/icons/piercing-shotgun-shell.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "p-bullet-mag-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-steel", amount=1},
	  {type="fluid", name="molten-copper", amount=5}
    },
    results=
    {
-- Name changed from "piercing-bullet-magazine" to "piercing-rounds-magazine" 
 {type="item", name="piercing-rounds-magazine", amount=1}
    },
-- Name changed from "__base__/graphics/icons/piercing-bullet-magazine.png" 
-- to "__base__/graphics/icons/piercing-rounds-magazine.png"
    icon = "__base__/graphics/icons/piercing-rounds-magazine.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "rail-dart-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-steel", amount=5},
	  {type="item", name="electronic-circuit", amount=5}
    },
    results=
    {
      {type="item", name="railgun-dart", amount=1}
    },
    icon = "__base__/graphics/icons/railgun-ammo.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "cannon-shell-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-steel", amount=4},
	  {type="fluid", name="melted-plastic", amount=2},
	  {type="item", name="explosives", amount=1}
    },
    results=
    {
      {type="item", name="cannon-shell", amount=1}
    },
    icon = "__base__/graphics/icons/cannon-shell.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "e-cannon-shell-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-steel", amount=4},
	  {type="fluid", name="melted-plastic", amount=2},
	  {type="item", name="explosives", amount=4}
    },
    results=
    {
      {type="item", name="explosive-cannon-shell", amount=1}
    },
    icon = "__base__/graphics/icons/explosive-cannon-shell.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "rocket-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=3},
	  {type="fluid", name="molten-copper", amount=1.5},
	  {type="item", name="explosives", amount=2}
    },
    results=
    {
      {type="item", name="explosive-cannon-shell", amount=1}
    },
    icon = "__base__/graphics/icons/explosive-cannon-shell.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "e-rocket-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=3},
	  {type="fluid", name="molten-copper", amount=1.5},
	  {type="item", name="explosives", amount=7}
    },
    results=
    {
      {type="item", name="explosive-cannon-shell", amount=1}
    },
    icon = "__base__/graphics/icons/explosive-cannon-shell.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "flamethrower-ammo-casting",
    category = "advanced-casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=5},
	  {type="fluid", name="heavy-oil", amount=2.5},
	  {type="fluid", name="light-oil", amount=2.5}
    },
    results=
    {
      {type="item", name="flame-thrower-ammo", amount=1}
    },
    icon = "__base__/graphics/icons/flame-thrower-ammo.png",
    subgroup = "cast-military",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "rail-casting",
    category = "advanced-casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=0.25},
	  {type="fluid", name="molten-steel", amount=0.5},
	  {type="fluid", name="lava", amount=0.5}
    },
    results=
    {
-- Name changed from "straight-rail" to "rail"
	{type="item", name="rail", amount=1}
    },
-- Name changed from "__base__/graphics/icons/straight-rail.png" 
-- to "__base__/graphics/icons/rail.png"
    icon = "__base__/graphics/icons/rail.png",
    subgroup = "cast-misc",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
--[[	COMMENTED OUT FOR VERSION 14 OF FACTORIO BECAUSE "CURVED RAILS" WERE REMOVED
    {
	type = "recipe",
    name = "c-rail-casting",
    category = "advanced-casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=1},
	  {type="fluid", name="molten-steel", amount=2},
	  {type="fluid", name="lava", amount=2}
    },
    results=
    {
      {type="item", name="curved-rail", amount=1}
    },
    icon = "__base__/graphics/icons/curved-rail.png",
    subgroup = "cast-misc",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
--]]
  {
    type = "recipe",
    name = "medium-electric-pole-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-copper", amount=2},
	  {type="fluid", name="molten-steel", amount=2}
    },
    results=
    {
      {type="item", name="medium-electric-pole", amount=1}
    },
    icon = "__base__/graphics/icons/medium-electric-pole.png",
    subgroup = "cast-misc",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "pipe-casting",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=1}
    },
    results=
    {
      {type="item", name="pipe", amount=1}
    },
    icon = "__base__/graphics/icons/pipe.png",
    subgroup = "cast-misc",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "transport-belt-casting",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.5,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=3}
    },
    results=
    {
-- Name changed from "basic-transport-belt" to "transport-belt"
	{type="item", name="transport-belt", amount=1}
    },
-- Name changed from "__base__/graphics/icons/basic-transport-belt.png" 
-- to "__base__/graphics/icons/transport-belt.png"
    icon = "__base__/graphics/icons/transport-belt.png",
    subgroup = "cast-misc",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "inserter-casting",
    category = "casting",
    enabled = false,
    energy_required = 0.5,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=4},
	  {type="fluid", name="molten-copper", amount=1.5}
    },
    results=
    {
-- Name changed from "basic-inserter" to "inserter"
      {type="item", name="inserter", amount=1}
    },
-- Name changed from "__base__/graphics/icons/basic-inserter.png" 
-- to "__base__/graphics/icons/inserter.png"
    icon = "__base__/graphics/icons/inserter.png",
    subgroup = "cast-misc",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "science-pack-2-casting",
    category = "casting",
    enabled = false,
    energy_required = 1.5,
    ingredients =
    {
      {type="fluid", name="molten-copper", amount=1.5},
	  {type="fluid", name="molten-iron", amount=5.5}
    },
    results=
    {
      {type="item", name="science-pack-2", amount=1}
    },
    icon = "__base__/graphics/icons/science-pack-2.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "science-pack-3-casting",
    category = "advanced-casting",
    enabled = false,
    energy_required = 3.5,
    ingredients =
    {
      {type="fluid", name="molten-copper", amount=15.5},
	  {type="fluid", name="molten-iron", amount=14},
	  {type="fluid", name="molten-steel", amount=1},
	  {type="fluid", name="melted-plastic", amount=2},
	  {type="item", name="battery", amount=1}
    },
    results=
    {
      {type="item", name="science-pack-3", amount=1}
    },
    icon = "__base__/graphics/icons/science-pack-3.png",
    subgroup = "cast-material",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  
  {---------------------------------------------------------------------------
    type = "recipe",
    name = "fill-copper-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-copper", amount=25},
	  {type="item", name="empty-barrel", amount=1}
    },
    results=
    {
      {type="item", name="copper-barrel", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "fill-iron-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-iron", amount=25},
	  {type="item", name="empty-barrel", amount=1}
    },
    results=
    {
      {type="item", name="iron-barrel", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "fill-lava-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="lava", amount=25},
	  {type="item", name="empty-barrel", amount=1}
    },
    results=
    {
      {type="item", name="lava-barrel", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "fill-steel-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="molten-steel", amount=25},
	  {type="item", name="empty-barrel", amount=1}
    },
    results=
    {
      {type="item", name="steel-barrel", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "fill-plastic-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
      {type="fluid", name="melted-plastic", amount=25},
	  {type="item", name="empty-barrel", amount=1}
    },
    results=
    {
      {type="item", name="plastic-barrel", amount=1}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "empty-copper-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
	  {type="item", name="copper-barrel", amount=1}
    },
    results=
    {
      {type="item", name="empty-barrel", amount=1},
	  {type="fluid", name="molten-copper", amount=25}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "empty-iron-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
	  {type="item", name="iron-barrel", amount=1}
    },
    results=
    {
      {type="item", name="empty-barrel", amount=1},
	  {type="fluid", name="molten-iron", amount=25}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "empty-lava-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
	  {type="item", name="lava-barrel", amount=1}
    },
    results=
    {
      {type="item", name="empty-barrel", amount=1},
	  {type="fluid", name="lava", amount=25}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "empty-steel-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
	  {type="item", name="steel-barrel", amount=1}
    },
    results=
    {
      {type="item", name="empty-barrel", amount=1},
	  {type="fluid", name="molten-steel", amount=25}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  },
  {
    type = "recipe",
    name = "empty-plastic-barrel",
    category = "crafting-with-fluid",
    enabled = false,
    energy_required = 0.35,
    ingredients =
    {
	  {type="item", name="plastic-barrel", amount=1}
    },
    results=
    {
      {type="item", name="empty-barrel", amount=1},
	  {type="fluid", name="melted-plastic", amount=25}
    },
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    subgroup = "barrel",
    --order = "a[oil-processing]-a[basic-oil-processing]"
  }
})