data:extend(
{
  {
    type = "technology",
    name = "liquefaction",
    icon = "__Liquify__/graphics/technology/liq.png",
	icon_size = 128,
    prerequisites = {"fluid-handling"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "liquefier"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-liquefaction"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-liquefaction"
      },
      {
        type = "unlock-recipe",
        recipe = "steel-liquefaction"
      },
      {
        type = "unlock-recipe",
        recipe = "plastic-liquefaction"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-liquefaction-p"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-liquefaction-p"
      },
      {
        type = "unlock-recipe",
        recipe = "stone-liquefaction"
      },
      {
        type = "unlock-recipe",
        recipe = "stone-cooling"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-cooling"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-cooling"
      },
      {
        type = "unlock-recipe",
        recipe = "steel-cooling"
      },
      {
        type = "unlock-recipe",
        recipe = "plastic-cooling"
      },
	  {
        type = "unlock-recipe",
        recipe = "iron-stick-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-gear-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-cable-casting"
      }
    },
    unit =
    {
      count = 65,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 25
    },
    order = "d-a-b"
  },
  {
    type = "technology",
    name = "liquefaction-barreling",
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    prerequisites = {"liquefaction"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fill-copper-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-iron-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-lava-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-steel-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-plastic-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-copper-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-iron-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-lava-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-steel-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-plastic-barrel"
      }
    },
    unit =
    {
      count = 20,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 15
    },
    order = "d-a-c",
	upgrade=true
  },
  {
    type = "technology",
    name = "casting",
    icon = "__Liquify__/graphics/technology/casting.png",
	icon_size = 128,
    prerequisites = {"liquefaction"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "casting-machine"
      },
      {
        type = "unlock-recipe",
        recipe = "electronic-circuit-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "science-pack-1-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "science-pack-2-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "barrel-casting"
      },
	  --[[
      {
        type = "unlock-recipe",
        recipe = "advanced-circuit-casting"
      },
	  ]]
      {
        type = "unlock-recipe",
        recipe = "medium-electric-pole-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "pipe-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "transport-belt-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "inserter-casting"
      }
    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 20
    },
    order = "d-a-c",
	upgrade=true
  },
  {
    type = "technology",
    name = "casting-2",
    icon = "__Liquify__/graphics/technology/casting.png",
	icon_size = 128,
    prerequisites = {"casting","automation-3"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "casting-machine-2"
      },
      {
        type = "unlock-recipe",
        recipe = "processing-unit-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "engine-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "e-engine-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "battery-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "flying-robot-frame-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "advanced-circuit-casting-b"
      },
      {
        type = "unlock-recipe",
        recipe = "rail-casting"
      },
--[[	COMMENTED OUT FOR VERSION 14 OF FACTORIO BECAUSE "CURVED RAILS" WERE REMOVED
	  {
        type = "unlock-recipe",
        recipe = "c-rail-casting"
      },
--]]
      {
        type = "unlock-recipe",
        recipe = "science-pack-3-casting"
      }
    },
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 30
    },
    order = "d-a-c",
	upgrade=true
  },
  {
    type = "technology",
    name = "military-casting",
    icon = "__base__/graphics/technology/military.png",
	icon_size = 128,
    prerequisites = {"casting","military-2"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "bullet-mag-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "shotgun-shell-casting"
      },
     {
        type = "unlock-recipe",
        recipe = "p-bullet-mag-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "p-shotgun-shell-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "stone-wall-casting"
      }
    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 15
    },
    order = "d-a-c",
	upgrade = true
  },
  {
    type = "technology",
    name = "military-casting-2",
    icon = "__base__/graphics/technology/military.png",
	icon_size = 128,
    prerequisites = {"military-casting","military-3","explosives","casting-2"},
    effects =
    {
      
      {
        type = "unlock-recipe",
        recipe = "rail-dart-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "cannon-shell-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "e-cannon-shell-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "rocket-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "e-rocket-casting"
      },
      {
        type = "unlock-recipe",
        recipe = "flamethrower-ammo-casting"
      }
    },
    unit =
    {
      count = 125,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 20
    },
    order = "d-a-c",
	upgrade = true
  }
})